<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	$ordenar=$_POST['idinv'];
	
   
    //$busqusr = "SELECT inversionista_id_inver FROM usuario WHERE idusuario = '$sesion->id'";
    //$cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));
    //$usr = mysqli_fetch_object($cons);
    //$idinv = $usr->inversionista_id_inver;
    $qa = "SELECT * FROM inversionista WHERE id_inver = '".$ordenar."'";

	$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$ra = mysqli_fetch_row($ca);
	$rfc = $ra[1];
	$nombre = $ra[7];
	$appat = $ra[5];
	$apmat = $ra[6];
	$idprom = $ra[2];
	$fecha = $ra[8];
    $edoc = $ra[9];
    $domicilio = $ra[10];
    $colonia = $ra[11];
    $sector = $ra[12];
    $ciudad = $ra[13];
    $estado = $ra[14];
    $pais = $ra[15];
    $cp = $ra[16]; 
    $tel1 = $ra[17];
    $tel2 = $ra[18];
    $email = $ra[19];
    $sexo = $ra[20];
    $nocuenta = $ra[21];
    $banco = $ra[22];
    $estampa = $ra[23];
    $califico = $ra[24];
    $refe = $ra[25];
     $wa = $ra[27];
     $qa3 = "SELECT * FROM usuario WHERE inversionista_id_inver = '".$ordenar."'";

	$ca3 = mysqli_query($conexion, $qa3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$ra3 = mysqli_fetch_row($ca3);
	$passw = $ra3[4];
	$usuarios = $ra3[3];
    
   $busqusr = "SELECT nom_usr, passw FROM usuario WHERE inversionista_id_inver = '$idinv'";
   $cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));
   $usr = mysqli_fetch_object($cons);
   $nomusr = $usr->nom_usr;

    $centro = 1;
    $estatus = 2;
    
    
    
 function fechacomp($a,$m,$d)
	   		{
				$anio = $a;
				$mes = $m;
				$dia = $d;
				switch($mes) 
				{
					case '01': $mesnom="Enero"; break;
					case '02': $mesnom="Febrero"; break;
					case '03': $mesnom="Marzo"; break;
					case '04': $mesnom="Abril"; break;
					case '05': $mesnom="Mayo"; break;
					case '06': $mesnom="Junio"; break;
					case '07': $mesnom="Julio"; break;
					case '08': $mesnom="Agosto"; break;
					case '09': $mesnom="Septiembre"; break;
					case '10': $mesnom="Octubre"; break;
					case '11': $mesnom="Noviembre"; break;
					case '12': $mesnom="Diciembre"; break;
				}	    
				return "$dia de $mesnom de $anio";
			}   

	
   $busqrfc = "SELECT rfc,nombre,appat,apmat, referencia FROM inversionista WHERE id_inver = '$idprom'";
   $cons = mysqli_query($conexion, $busqrfc) or die ('Err0: '.mysqli_error($conexion));
   $promo = mysqli_fetch_object($cons);
   echo "<center><div style='width:500px; height:400px; padding-left:50px; padding-top:30px; background: url(logotransp2.gif)'>";
   //echo "Tus datos son los siguientes: <br /> <br />";
   echo "<label style='color:#5C3C12'> RFC Promotor: </label> $promo->rfc
   <label style='color:#5C3C12'> Referencia: </label> $promo->referencia";
   echo "<br />";
   echo "<label style='color:#5C3C12'> Nombre de Promotor: </label> $promo->nombre $promo->appat $promo->apmat";
   echo "<br /> <br />";   
   echo "<label style='color:#5C3C12'> RFC: </label> $rfc";
   echo "<br />";
   echo "<label style='color:#5C3C12'> Nombre: </label> $nombre $appat $apmat";
   echo "<br />";
   $fech = explode("-",$fecha);
   $fec = fechacomp($fech[0],$fech[1],$fech[2]);
   echo "<label style='color:#5C3C12'> Fecha de Nacimiento: </label> $fec";
   echo "<br />";
   $q1 = "SELECT descripcion FROM edociv WHERE idedociv ='$edoc'";
   $cn = mysqli_query($conexion, $q1);
   $row = mysqli_fetch_row($cn);
   echo "<label style='color:#5C3C12'>Estado Civil:</label> $row[0]";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Domicilio:</label> $domicilio";
   echo ", colonia $colonia";
 
   if(!empty($sector))
   echo " Sector $sector";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Lugar:</label> $ciudad";
   $q1 = "SELECT descripcion FROM pais WHERE idpais ='$pais'";
   $cn = mysqli_query($conexion, $q1);
   $row = mysqli_fetch_row($cn);
   $pais = $row[0];
   if ($estado != 0)
   {
    $q1 = "SELECT nombre FROM estados WHERE idestado ='$estado'";
    $cn = mysqli_query($conexion, $q1);
    $row = mysqli_fetch_row($cn);
    echo ", $row[0]";
   }
   echo ", $pais";
   echo "<br />";
   echo "<label style='color:#5C3C12'>C.P:</label> $cp";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Tel1:</label> $tel1";
  
   	echo "<br />";
   	echo "<label style='color:#5C3C12'>Tel2:</label> $tel2";
   


   
   	   echo "<br />";
  	   echo "<label style='color:#5C3C12'>Whatsapp: </label>$whatsapp";
     echo "<br />";
  	   echo "<label style='color:#5C3C12'>E-mail: </label>$email";
   if($sexo == 'M')
   {
   	echo "<br />";
    echo "<label style='color:#5C3C12'>Sexo:</label> Mujer";
   }
   else 
   {
   	echo "<br />";
    echo "<label style='color:#5C3C12'>Sexo:</label> Hombre";
   }
   if($banco != 0)
   {
   	$q1 = "SELECT nombre FROM banco WHERE idbanco ='$banco'";
    $cn = mysqli_query($conexion, $q1);
    $row = mysqli_fetch_row($cn);
   	echo "<br />";   
   	echo "<label style='color:#5C3C12'>Banco:</label> $row[0]";
    echo "<br />";
    echo "<label style='color:#5C3C12'>No. de Cuenta:</label> $nocuenta";
   }
   
   	echo "<br />";
    echo "<label style='color:#5C3C12'>No. de referencia:</label> $refe";
   	
   echo '<br /> <br />';
   echo "<label style='color:#5C3C12'>Nombre de usuario:</label> $usuarios";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Contrase&ntilde;a:</label> $passw";
   echo "</div>
 
   <BR><BR>
   </center>
   ";
	
   
?>